import Test.HUnit
import Utils

main = runTestTT $ test $
    [ "test_packList"   ~: test_packList ]

{-
test_isCasePrefixOf =
    do assertEqual "1" True (isCasePrefixOf "" "")
       assertEqual "2" True (isCasePrefixOf "a" "a")
       assertEqual "3" True (isCasePrefixOf "a" "A")
       assertEqual "4" True (isCasePrefixOf "A" "a")
       assertEqual "5" True (isCasePrefixOf "A" "A")
       assertEqual "6" True (isCasePrefixOf "a" "abc")
       assertEqual "7" True (isCasePrefixOf "a" "Abc")
       assertEqual "8" True (isCasePrefixOf "a" "aBc")
       assertEqual "9" False (isCasePrefixOf "a" "xa")
       assertEqual "10" False (isCasePrefixOf "a" "xA")

test_strcasecmp =
    do assertEqual "1" True (strcasecmp "" "")
       assertEqual "2" True (strcasecmp "a" "a")
       assertEqual "3" True (strcasecmp "a" "A")
       assertEqual "4" True (strcasecmp "A" "a")
       assertEqual "5" True (strcasecmp "A" "A")
       assertEqual "6" False (strcasecmp "a" "b")
-}

test_packList =
    do assertEqual "1" "" (packList 5 [])
       assertEqual "2" "a\n" (packList 5 ["a"])
       assertEqual "3" "a b\n" (packList 5 ["a", "b"])
       assertEqual "4" "a b c\n" (packList 5 ["a", "b", "c"])
       assertEqual "5" "a b c\nd\n" (packList 5 ["a", "b", "c", "d"])
       assertEqual "6" "a b c\nd e\n" (packList 5 ["a", "b", "c", "d", "e"])
       assertEqual "7" "aaaaaa\nb\n" (packList 5 ["aaaaaa", "b"])
       assertEqual "8" "aaaaaa\nbbbbbb\n" (packList 5 ["aaaaaa", "bbbbbb"])
       assertEqual "9" "aaa bbb\nc\n" (packList 7 ["aaa", "bbb", "c"])
       assertEqual "10" "aaa bbb\nccc ddd\ne\n"
                        (packList 7 ["aaa", "bbb", "ccc", "ddd", "e"])
